package leigh.eo.io;

import leigh.eo.EO;
import leigh.mecha.log.MechaLogger;

public class LoggingEOOutputStream implements EOOutputStream {
    private final MechaLogger logger;

    public LoggingEOOutputStream(MechaLogger logger) {
        this.logger = logger;
    }

    @Override
    public void writeEO(EO eo) throws Exception {
        logger.info("{}", eo);
    }

    @Override
    public void close() throws Exception {
        // NOP
    }
}
